<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:xi="http://www.w3.org/2001/XInclude" type="guide" style="task" id="linkbutton.vala" xml:lang="ca">
  <info>
  <title type="text">LinkButton (Vala)</title>
  <link type="guide" xref="beginner.vala#buttons"/>
    <revision version="0.1" date="2012-06-06" status="draft"/>

    <credit type="author copyright">
      <name>Tiffany Antopolski</name>
      <email its:translate="no">tiffany.antopolski@gmail.com</email>
      <years>2012</years>
    </credit>

    <desc>Create buttons bound to a URL</desc>
  </info>

  <title>LinkButton</title>
  <media type="image" mime="image/png" src="media/linkbutton.png"/>
  <p>This button links to GNOME live.</p>

<code mime="text/x-csharp" style="numbered">/* This is the application. */
public class MyApplication : Gtk.Application {
	/* Override the 'activate' signal of GLib.Application. */
	protected override void activate () {

		/* Create the window of this application and child widget and show all the things. */
		var window = new Gtk.ApplicationWindow (this);
		window.set_default_size (250, 50);
		window.title = "GNOME LinkButton";

		var linkbutton = new Gtk.LinkButton.with_label ("http://live.gnome.org", "Link to GNOME live!");

		window.add (linkbutton);
		window.show_all ();
	}
}

/* main creates and runs the application. */
public int main (string[] args) {
	return new MyApplication ().run (args);
}
</code>
<p>
  In this sample we used the following:
</p>
<list>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.LinkButton.html">Gtk.LinkButton</link></p></item>
</list>
</page>
